Index: pjproject/trunk/build.symbian/pjnath.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjnath.mmp	(revision 1494)
+++ pjproject/trunk/build.symbian/pjnath.mmp	(revision 1495)
@@ -34,4 +34,5 @@
 SOURCE	ice_session.c
 SOURCE	ice_strans.c
+SOURCE	nat_detect.c
 SOURCE	stun_auth.c
 SOURCE	stun_msg.c
Index: pjproject/trunk/build.symbian/pjnathU.def
===================================================================
--- pjproject/trunk/build.symbian/pjnathU.def	(revision 1494)
+++ pjproject/trunk/build.symbian/pjnathU.def	(revision 1495)
@@ -39,48 +39,49 @@
 	pj_stun_client_tsx_set_data              @ 38 NONAME
 	pj_stun_create_key                       @ 39 NONAME
-	pj_stun_empty_attr_create                @ 40 NONAME
-	pj_stun_errcode_attr_create              @ 41 NONAME
-	pj_stun_get_attr_name                    @ 42 NONAME
-	pj_stun_get_class_name                   @ 43 NONAME
-	pj_stun_get_err_reason                   @ 44 NONAME
-	pj_stun_get_method_name                  @ 45 NONAME
-	pj_stun_msg_add_attr                     @ 46 NONAME
-	pj_stun_msg_add_binary_attr              @ 47 NONAME
-	pj_stun_msg_add_empty_attr               @ 48 NONAME
-	pj_stun_msg_add_errcode_attr             @ 49 NONAME
-	pj_stun_msg_add_msgint_attr              @ 50 NONAME
-	pj_stun_msg_add_sockaddr_attr            @ 51 NONAME
-	pj_stun_msg_add_string_attr              @ 52 NONAME
-	pj_stun_msg_add_uint64_attr              @ 53 NONAME
-	pj_stun_msg_add_uint_attr                @ 54 NONAME
-	pj_stun_msg_add_unknown_attr             @ 55 NONAME
-	pj_stun_msg_check                        @ 56 NONAME
-	pj_stun_msg_create                       @ 57 NONAME
-	pj_stun_msg_create_response              @ 58 NONAME
-	pj_stun_msg_decode                       @ 59 NONAME
-	pj_stun_msg_destroy_tdata                @ 60 NONAME
-	pj_stun_msg_dump                         @ 61 NONAME
-	pj_stun_msg_encode                       @ 62 NONAME
-	pj_stun_msg_find_attr                    @ 63 NONAME
-	pj_stun_msgint_attr_create               @ 64 NONAME
-	pj_stun_session_cancel_req               @ 65 NONAME
-	pj_stun_session_create                   @ 66 NONAME
-	pj_stun_session_create_ind               @ 67 NONAME
-	pj_stun_session_create_req               @ 68 NONAME
-	pj_stun_session_create_res               @ 69 NONAME
-	pj_stun_session_destroy                  @ 70 NONAME
-	pj_stun_session_get_user_data            @ 71 NONAME
-	pj_stun_session_on_rx_pkt                @ 72 NONAME
-	pj_stun_session_retransmit_req           @ 73 NONAME
-	pj_stun_session_send_msg                 @ 74 NONAME
-	pj_stun_session_set_credential           @ 75 NONAME
-	pj_stun_session_set_server_name          @ 76 NONAME
-	pj_stun_session_set_user_data            @ 77 NONAME
-	pj_stun_set_padding_char                 @ 78 NONAME
-	pj_stun_sockaddr_attr_create             @ 79 NONAME
-	pj_stun_string_attr_create               @ 80 NONAME
-	pj_stun_uint64_attr_create               @ 81 NONAME
-	pj_stun_uint_attr_create                 @ 82 NONAME
-	pj_stun_unknown_attr_create              @ 83 NONAME
-	pjnath_init                              @ 84 NONAME
-	pjnath_perror                            @ 85 NONAME
+	pj_stun_detect_nat_type                  @ 40 NONAME
+	pj_stun_empty_attr_create                @ 41 NONAME
+	pj_stun_errcode_attr_create              @ 42 NONAME
+	pj_stun_get_attr_name                    @ 43 NONAME
+	pj_stun_get_class_name                   @ 44 NONAME
+	pj_stun_get_err_reason                   @ 45 NONAME
+	pj_stun_get_method_name                  @ 46 NONAME
+	pj_stun_msg_add_attr                     @ 47 NONAME
+	pj_stun_msg_add_binary_attr              @ 48 NONAME
+	pj_stun_msg_add_empty_attr               @ 49 NONAME
+	pj_stun_msg_add_errcode_attr             @ 50 NONAME
+	pj_stun_msg_add_msgint_attr              @ 51 NONAME
+	pj_stun_msg_add_sockaddr_attr            @ 52 NONAME
+	pj_stun_msg_add_string_attr              @ 53 NONAME
+	pj_stun_msg_add_uint64_attr              @ 54 NONAME
+	pj_stun_msg_add_uint_attr                @ 55 NONAME
+	pj_stun_msg_add_unknown_attr             @ 56 NONAME
+	pj_stun_msg_check                        @ 57 NONAME
+	pj_stun_msg_create                       @ 58 NONAME
+	pj_stun_msg_create_response              @ 59 NONAME
+	pj_stun_msg_decode                       @ 60 NONAME
+	pj_stun_msg_destroy_tdata                @ 61 NONAME
+	pj_stun_msg_dump                         @ 62 NONAME
+	pj_stun_msg_encode                       @ 63 NONAME
+	pj_stun_msg_find_attr                    @ 64 NONAME
+	pj_stun_msgint_attr_create               @ 65 NONAME
+	pj_stun_session_cancel_req               @ 66 NONAME
+	pj_stun_session_create                   @ 67 NONAME
+	pj_stun_session_create_ind               @ 68 NONAME
+	pj_stun_session_create_req               @ 69 NONAME
+	pj_stun_session_create_res               @ 70 NONAME
+	pj_stun_session_destroy                  @ 71 NONAME
+	pj_stun_session_get_user_data            @ 72 NONAME
+	pj_stun_session_on_rx_pkt                @ 73 NONAME
+	pj_stun_session_retransmit_req           @ 74 NONAME
+	pj_stun_session_send_msg                 @ 75 NONAME
+	pj_stun_session_set_credential           @ 76 NONAME
+	pj_stun_session_set_server_name          @ 77 NONAME
+	pj_stun_session_set_user_data            @ 78 NONAME
+	pj_stun_set_padding_char                 @ 79 NONAME
+	pj_stun_sockaddr_attr_create             @ 80 NONAME
+	pj_stun_string_attr_create               @ 81 NONAME
+	pj_stun_uint64_attr_create               @ 82 NONAME
+	pj_stun_uint_attr_create                 @ 83 NONAME
+	pj_stun_unknown_attr_create              @ 84 NONAME
+	pjnath_init                              @ 85 NONAME
+	pjnath_perror                            @ 86 NONAME
Index: pjproject/trunk/build.symbian/pjsua_libU.def
===================================================================
--- pjproject/trunk/build.symbian/pjsua_libU.def	(revision 1494)
+++ pjproject/trunk/build.symbian/pjsua_libU.def	(revision 1495)
@@ -1,69 +1,69 @@
 EXPORTS
-	pjsip_cred_dup                           @ 1 NONAME
-	pjsua_acc_add                            @ 2 NONAME
-	pjsua_acc_add_local                      @ 3 NONAME
-	pjsua_acc_config_default                 @ 4 NONAME
-	pjsua_acc_create_request                 @ 5 NONAME
-	pjsua_acc_create_uac_contact             @ 6 NONAME
-	pjsua_acc_create_uas_contact             @ 7 NONAME
-	pjsua_acc_del                            @ 8 NONAME
-	pjsua_acc_enum_info                      @ 9 NONAME
-	pjsua_acc_find_for_incoming              @ 10 NONAME
-	pjsua_acc_find_for_outgoing              @ 11 NONAME
-	pjsua_acc_get_count                      @ 12 NONAME
-	pjsua_acc_get_default                    @ 13 NONAME
-	pjsua_acc_get_info                       @ 14 NONAME
-	pjsua_acc_is_valid                       @ 15 NONAME
-	pjsua_acc_modify                         @ 16 NONAME
-	pjsua_acc_set_default                    @ 17 NONAME
-	pjsua_acc_set_online_status              @ 18 NONAME
-	pjsua_acc_set_online_status2             @ 19 NONAME
-	pjsua_acc_set_registration               @ 20 NONAME
-	pjsua_acc_set_transport                  @ 21 NONAME
-	pjsua_buddy_add                          @ 22 NONAME
-	pjsua_buddy_config_default               @ 23 NONAME
-	pjsua_buddy_del                          @ 24 NONAME
-	pjsua_buddy_get_info                     @ 25 NONAME
-	pjsua_buddy_is_valid                     @ 26 NONAME
-	pjsua_buddy_subscribe_pres               @ 27 NONAME
-	pjsua_call_answer                        @ 28 NONAME
-	pjsua_call_dial_dtmf                     @ 29 NONAME
-	pjsua_call_dump                          @ 30 NONAME
-	pjsua_call_get_conf_port                 @ 31 NONAME
-	pjsua_call_get_count                     @ 32 NONAME
-	pjsua_call_get_info                      @ 33 NONAME
-	pjsua_call_get_max_count                 @ 34 NONAME
-	pjsua_call_get_user_data                 @ 35 NONAME
-	pjsua_call_hangup                        @ 36 NONAME
-	pjsua_call_hangup_all                    @ 37 NONAME
-	pjsua_call_has_media                     @ 38 NONAME
-	pjsua_call_is_active                     @ 39 NONAME
-	pjsua_call_make_call                     @ 40 NONAME
-	pjsua_call_reinvite                      @ 41 NONAME
-	pjsua_call_send_im                       @ 42 NONAME
-	pjsua_call_send_request                  @ 43 NONAME
-	pjsua_call_send_typing_ind               @ 44 NONAME
-	pjsua_call_set_hold                      @ 45 NONAME
-	pjsua_call_set_user_data                 @ 46 NONAME
-	pjsua_call_update                        @ 47 NONAME
-	pjsua_call_xfer                          @ 48 NONAME
-	pjsua_call_xfer_replaces                 @ 49 NONAME
-	pjsua_codec_get_param                    @ 50 NONAME
-	pjsua_codec_set_param                    @ 51 NONAME
-	pjsua_codec_set_priority                 @ 52 NONAME
-	pjsua_conf_add_port                      @ 53 NONAME
-	pjsua_conf_adjust_rx_level               @ 54 NONAME
-	pjsua_conf_adjust_tx_level               @ 55 NONAME
-	pjsua_conf_connect                       @ 56 NONAME
-	pjsua_conf_disconnect                    @ 57 NONAME
-	pjsua_conf_get_active_ports              @ 58 NONAME
-	pjsua_conf_get_max_ports                 @ 59 NONAME
-	pjsua_conf_get_port_info                 @ 60 NONAME
-	pjsua_conf_get_signal_level              @ 61 NONAME
-	pjsua_conf_remove_port                   @ 62 NONAME
-	pjsua_config_default                     @ 63 NONAME
-	pjsua_config_dup                         @ 64 NONAME
-	pjsua_create                             @ 65 NONAME
-	pjsua_destroy                            @ 66 NONAME
+	pjsua_acc_add                            @ 1 NONAME
+	pjsua_acc_add_local                      @ 2 NONAME
+	pjsua_acc_config_default                 @ 3 NONAME
+	pjsua_acc_create_request                 @ 4 NONAME
+	pjsua_acc_create_uac_contact             @ 5 NONAME
+	pjsua_acc_create_uas_contact             @ 6 NONAME
+	pjsua_acc_del                            @ 7 NONAME
+	pjsua_acc_enum_info                      @ 8 NONAME
+	pjsua_acc_find_for_incoming              @ 9 NONAME
+	pjsua_acc_find_for_outgoing              @ 10 NONAME
+	pjsua_acc_get_count                      @ 11 NONAME
+	pjsua_acc_get_default                    @ 12 NONAME
+	pjsua_acc_get_info                       @ 13 NONAME
+	pjsua_acc_is_valid                       @ 14 NONAME
+	pjsua_acc_modify                         @ 15 NONAME
+	pjsua_acc_set_default                    @ 16 NONAME
+	pjsua_acc_set_online_status              @ 17 NONAME
+	pjsua_acc_set_online_status2             @ 18 NONAME
+	pjsua_acc_set_registration               @ 19 NONAME
+	pjsua_acc_set_transport                  @ 20 NONAME
+	pjsua_buddy_add                          @ 21 NONAME
+	pjsua_buddy_config_default               @ 22 NONAME
+	pjsua_buddy_del                          @ 23 NONAME
+	pjsua_buddy_get_info                     @ 24 NONAME
+	pjsua_buddy_is_valid                     @ 25 NONAME
+	pjsua_buddy_subscribe_pres               @ 26 NONAME
+	pjsua_call_answer                        @ 27 NONAME
+	pjsua_call_dial_dtmf                     @ 28 NONAME
+	pjsua_call_dump                          @ 29 NONAME
+	pjsua_call_get_conf_port                 @ 30 NONAME
+	pjsua_call_get_count                     @ 31 NONAME
+	pjsua_call_get_info                      @ 32 NONAME
+	pjsua_call_get_max_count                 @ 33 NONAME
+	pjsua_call_get_user_data                 @ 34 NONAME
+	pjsua_call_hangup                        @ 35 NONAME
+	pjsua_call_hangup_all                    @ 36 NONAME
+	pjsua_call_has_media                     @ 37 NONAME
+	pjsua_call_is_active                     @ 38 NONAME
+	pjsua_call_make_call                     @ 39 NONAME
+	pjsua_call_reinvite                      @ 40 NONAME
+	pjsua_call_send_im                       @ 41 NONAME
+	pjsua_call_send_request                  @ 42 NONAME
+	pjsua_call_send_typing_ind               @ 43 NONAME
+	pjsua_call_set_hold                      @ 44 NONAME
+	pjsua_call_set_user_data                 @ 45 NONAME
+	pjsua_call_update                        @ 46 NONAME
+	pjsua_call_xfer                          @ 47 NONAME
+	pjsua_call_xfer_replaces                 @ 48 NONAME
+	pjsua_codec_get_param                    @ 49 NONAME
+	pjsua_codec_set_param                    @ 50 NONAME
+	pjsua_codec_set_priority                 @ 51 NONAME
+	pjsua_conf_add_port                      @ 52 NONAME
+	pjsua_conf_adjust_rx_level               @ 53 NONAME
+	pjsua_conf_adjust_tx_level               @ 54 NONAME
+	pjsua_conf_connect                       @ 55 NONAME
+	pjsua_conf_disconnect                    @ 56 NONAME
+	pjsua_conf_get_active_ports              @ 57 NONAME
+	pjsua_conf_get_max_ports                 @ 58 NONAME
+	pjsua_conf_get_port_info                 @ 59 NONAME
+	pjsua_conf_get_signal_level              @ 60 NONAME
+	pjsua_conf_remove_port                   @ 61 NONAME
+	pjsua_config_default                     @ 62 NONAME
+	pjsua_config_dup                         @ 63 NONAME
+	pjsua_create                             @ 64 NONAME
+	pjsua_destroy                            @ 65 NONAME
+	pjsua_detect_nat_type                    @ 66 NONAME
 	pjsua_dump                               @ 67 NONAME
 	pjsua_enum_accs                          @ 68 NONAME
Index: pjproject/trunk/pjlib/include/pj/config_site_sample.h
===================================================================
--- pjproject/trunk/pjlib/include/pj/config_site_sample.h	(revision 1494)
+++ pjproject/trunk/pjlib/include/pj/config_site_sample.h	(revision 1495)
@@ -25,4 +25,6 @@
 /*#   define PJMEDIA_HAS_SPEEX_CODEC	0*/
 #   define PJMEDIA_HAS_SPEEX_AEC	0
+#   undef PJMEDIA_RESAMPLE_IMP
+#   define PJMEDIA_RESAMPLE_IMP		PJMEDIA_RESAMPLE_LIBRESAMPLE
 #endif
 
Index: pjproject/trunk/pjnath/build/Makefile
===================================================================
--- pjproject/trunk/pjnath/build/Makefile	(revision 1494)
+++ pjproject/trunk/pjnath/build/Makefile	(revision 1495)
@@ -31,5 +31,5 @@
 export PJNATH_SRCDIR = ../src/pjnath
 export PJNATH_OBJS += $(OS_OBJS) $(M_OBJS) $(CC_OBJS) $(HOST_OBJS) \
-		errno.o ice_session.o ice_strans.o stun_auth.o \
+		errno.o ice_session.o ice_strans.o nat_detect.o stun_auth.o \
 		stun_msg.o stun_msg_dump.o stun_session.o stun_transaction.o
 export PJNATH_CFLAGS += $(_CFLAGS)
Index: pjproject/trunk/pjnath/build/pjnath.dsp
===================================================================
--- pjproject/trunk/pjnath/build/pjnath.dsp	(revision 1494)
+++ pjproject/trunk/pjnath/build/pjnath.dsp	(revision 1495)
@@ -41,4 +41,5 @@
 # PROP Intermediate_Dir "./output/pjnath-i386-win32-vc6-release"
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
 # ADD CPP /nologo /MD /W4 /GX /O1 /Ob2 /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /D "NDEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /c
@@ -65,4 +66,5 @@
 # PROP Intermediate_Dir "./output/pjnath-i386-win32-vc6-debug"
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
 # ADD CPP /nologo /MTd /W4 /Gm /GX /ZI /Od /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /GZ /c
@@ -97,4 +99,8 @@
 
 SOURCE=..\src\pjnath\ice_strans.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\src\pjnath\nat_detect.c
 # End Source File
 # Begin Source File
@@ -140,4 +146,8 @@
 # Begin Source File
 
+SOURCE=..\include\pjnath\nat_detect.h
+# End Source File
+# Begin Source File
+
 SOURCE=..\include\pjnath.h
 # End Source File
Index: pjproject/trunk/pjnath/build/pjnath.vcproj
===================================================================
--- pjproject/trunk/pjnath/build/pjnath.vcproj	(revision 1494)
+++ pjproject/trunk/pjnath/build/pjnath.vcproj	(revision 1495)
@@ -207,4 +207,8 @@
 			</File>
 			<File
+				RelativePath="..\src\pjnath\nat_detect.c"
+				>
+			</File>
+			<File
 				RelativePath="..\src\pjnath\stun_auth.c"
 				>
@@ -338,4 +342,8 @@
 			</File>
 			<File
+				RelativePath="..\include\pjnath\nat_detect.h"
+				>
+			</File>
+			<File
 				RelativePath="..\include\pjnath.h"
 				>
Index: pjproject/trunk/pjnath/build/wince-evc4/pjnath_wince.vcp
===================================================================
--- pjproject/trunk/pjnath/build/wince-evc4/pjnath_wince.vcp	(revision 1494)
+++ pjproject/trunk/pjnath/build/wince-evc4/pjnath_wince.vcp	(revision 1495)
@@ -391,21 +391,27 @@
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\ctype.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
-	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\ctype.h"\
+	"..\..\..\pjlib\include\pj\compat\errno.h"\
+	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\stdarg.h"\
 	"..\..\..\pjlib\include\pj\compat\string.h"\
 	"..\..\..\pjlib\include\pj\config.h"\
@@ -643,21 +649,27 @@
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\ctype.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
-	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\ctype.h"\
+	"..\..\..\pjlib\include\pj\compat\errno.h"\
+	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\stdarg.h"\
 	"..\..\..\pjlib\include\pj\compat\string.h"\
 	"..\..\..\pjlib\include\pj\config.h"\
@@ -1033,21 +1045,27 @@
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\ctype.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
-	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\ctype.h"\
+	"..\..\..\pjlib\include\pj\compat\errno.h"\
+	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\stdarg.h"\
 	"..\..\..\pjlib\include\pj\compat\string.h"\
 	"..\..\..\pjlib\include\pj\config.h"\
@@ -1305,21 +1323,27 @@
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\ctype.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
-	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\ctype.h"\
+	"..\..\..\pjlib\include\pj\compat\errno.h"\
+	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\stdarg.h"\
 	"..\..\..\pjlib\include\pj\compat\string.h"\
 	"..\..\..\pjlib\include\pj\config.h"\
@@ -1729,21 +1753,27 @@
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\ctype.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
-	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\ctype.h"\
+	"..\..\..\pjlib\include\pj\compat\errno.h"\
+	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\stdarg.h"\
 	"..\..\..\pjlib\include\pj\compat\string.h"\
 	"..\..\..\pjlib\include\pj\config.h"\
@@ -2021,21 +2051,27 @@
 	"..\..\..\pjlib\include\pj\assert.h"\
 	"..\..\..\pjlib\include\pj\compat\assert.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\ctype.h"\
-	"..\..\..\pjlib\include\pj\compat\errno.h"\
-	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\ctype.h"\
+	"..\..\..\pjlib\include\pj\compat\errno.h"\
+	"..\..\..\pjlib\include\pj\compat\high_precision.h"\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\setjmp.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\compat\stdarg.h"\
 	"..\..\..\pjlib\include\pj\compat\string.h"\
 	"..\..\..\pjlib\include\pj\config.h"\
